# Class ResetPasswordFormSubmitMethod

#### Implements

- FormSubmitMethod<any>

- Defined in reset-password/reset-password.form.ts:40

#####
Index

### Constructors

constructor

### Methods

call

##
Constructors

### constructor

- new ResetPasswordFormSubmitMethod(
  route: ActivatedRoute,
  setNewPasswordWithResetTokenMethod: SetNewPasswordWithResetTokenMethod,
  snackBar: MatSnackBar,
  router: Router,
  ): ResetPasswordFormSubmitMethod

  #### Parameters

  - route: ActivatedRoute
  - setNewPasswordWithResetTokenMethod: SetNewPasswordWithResetTokenMethod
  - snackBar: MatSnackBar
  - router: Router

  #### Returns ResetPasswordFormSubmitMethod

  - Defined in reset-password/reset-password.form.ts:41

##
Methods

### call

- call(value: { password: string }): boolean | Promise<boolean>

  #### Parameters

  - value: { password: string }

  #### Returns boolean | Promise<boolean>

  Implementation of FormSubmitMethod.call

  - Defined in reset-password/reset-password.form.ts:52